CVE-2015-8035

low
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

The xz_decomp function in xzlib.c in libxml2 2.9.1 does not properly detect compression errors, which allows context-dependent attackers to cause a denial of service (process hang) via crafted XML data.

References

http://lists.apple.com/archives/security-announce/2016/Mar/msg00000.html

http://lists.apple.com/archives/security-announce/2016/Mar/msg00001.html

http://lists.apple.com/archives/security-announce/2016/Mar/msg00002.html

http://lists.apple.com/archives/security-announce/2016/Mar/msg00004.html

http://lists.fedoraproject.org/pipermail/package-announce/2016-February/177341.html

http://lists.fedoraproject.org/pipermail/package-announce/2016-February/177381.html

http://lists.opensuse.org/opensuse-updates/2015-12/msg00120.html

http://lists.opensuse.org/opensuse-updates/2016-01/msg00031.html

http://rhn.redhat.com/errata/RHSA-2016-1089.html

http://www.debian.org/security/2015/dsa-3430

http://www.openwall.com/lists/oss-security/2015/11/02/2

http://www.openwall.com/lists/oss-security/2015/11/02/4

http://www.openwall.com/lists/oss-security/2015/11/03/1

http://www.securityfocus.com/bid/77390

http://www.securitytracker.com/id/1034243

http://www.ubuntu.com/usn/USN-2812-1

http://xmlsoft.org/news.html

https://bugzilla.gnome.org/show_bug.cgi?id=757466

https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05111017

https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05158380

https://security.gentoo.org/glsa/201701-37

https://support.apple.com/HT206166

https://support.apple.com/HT206167

https://support.apple.com/HT206168

https://support.apple.com/HT206169

Details

Source: MITRE

Published: 2015-11-18

Updated: 2019-03-08

Type: CWE-399

Risk Information

CVSS v2

Base Score: 2.6

Vector: AV:N/AC:H/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 4.9

Severity: LOW

Tenable Plugins

View all (29 total)

IDNameProductFamilySeverity
143920NewStart CGSL CORE 5.05 / MAIN 5.05 : libxml2 Multiple Vulnerabilities (NS-SA-2020-0091)NessusNewStart CGSL Local Security Checks
high
143906NewStart CGSL CORE 5.04 / MAIN 5.04 : libxml2 Multiple Vulnerabilities (NS-SA-2020-0060)NessusNewStart CGSL Local Security Checks
high
139549Amazon Linux AMI : libxml2 (ALAS-2020-1415)NessusAmazon Linux Local Security Checks
high
138855Amazon Linux 2 : libxml2 (ALAS-2020-1466)NessusAmazon Linux Local Security Checks
high
135819Scientific Linux Security Update : libxml2 on SL7.x x86_64 (20200407)NessusScientific Linux Local Security Checks
high
135358CentOS 7 : libxml2 (CESA-2020:1190)NessusCentOS Local Security Checks
high
135071RHEL 7 : libxml2 (RHSA-2020:1190)NessusRed Hat Local Security Checks
high
132161EulerOS 2.0 SP3 : libxml2 (EulerOS-SA-2019-2626)NessusHuawei Local Security Checks
critical
131644EulerOS 2.0 SP2 : libxml2 (EulerOS-SA-2019-2491)NessusHuawei Local Security Checks
high
125103EulerOS Virtualization 3.0.1.0 : libxml2 (EulerOS-SA-2019-1559)NessusHuawei Local Security Checks
high
124443EulerOS 2.0 SP5 : libxml2 (EulerOS-SA-2019-1316)NessusHuawei Local Security Checks
high
96541GLSA-201701-37 : libxml2: Multiple vulnerabilitiesNessusGentoo Local Security Checks
critical
9336Apple TV < 9.2 Multiple VulnerabilitiesNessus Network MonitorInternet Services
critical
9327Mac OS X 10.11.x < 10.11.4 Multiple VulnerabilitiesNessus Network MonitorOperating System Detection
critical
9331Apple iOS < 9.3 Multiple VulnerabilitiesNessus Network MonitorMobile Devices
high
91222HP System Management Homepage Multiple Vulnerabilities (HPSBMU03593)NessusWeb Servers
critical
90706Tenable Log Correlation Engine (LCE) < 4.8.0 Libxml2 DoSNessusMisc.
medium
90309Apple TV < 9.2 Multiple VulnerabilitiesNessusMisc.
critical
90118Apple iOS < 9.3 Multiple VulnerabilitiesNessusMobile Devices
critical
90097Mac OS X 10.9.5 / 10.10.5 Multiple Vulnerabilities (Security Update 2016-002)NessusMacOS X Local Security Checks
critical
90096Mac OS X 10.11.x < 10.11.4 Multiple VulnerabilitiesNessusMacOS X Local Security Checks
critical
89591Fedora 22 : mingw-libxml2-2.9.3-1.fc22 (2016-a9ee80b01d)NessusFedora Local Security Checks
medium
89484Fedora 23 : mingw-libxml2-2.9.3-1.fc23 (2016-189a7bf68c)NessusFedora Local Security Checks
medium
88122openSUSE Security Update : libxml2 (openSUSE-2016-32)NessusSuSE Local Security Checks
high
87865SUSE SLED12 / SLES12 Security Update : libxml2 (SUSE-SU-2016:0049-1)NessusSuSE Local Security Checks
high
87631openSUSE Security Update : libxml2 (openSUSE-2015-959)NessusSuSE Local Security Checks
high
87608Debian DSA-3430-1 : libxml2 - security updateNessusDebian Local Security Checks
critical
87000FreeBSD : libxml2 -- multiple vulnerabilities (e5423caf-8fb8-11e5-918c-bcaec565249c)NessusFreeBSD Local Security Checks
high
86897Ubuntu 12.04 LTS / 14.04 LTS / 15.04 / 15.10 : libxml2 vulnerabilities (USN-2812-1)NessusUbuntu Local Security Checks
medium